Bulk edits sites under a single channel.
The operation will delete the sites provided in BulkEditSitesRequest.deleted_sites and then create the sites provided in BulkEditSitesRequest.created_sites.
HTTP request
POST https://displayvideo.googleapis.com/v5/partners/{partnerId}/channels/{channelId}/sites:bulkEdit
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the parent channel to which the sites belong. |
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the parent channel. |
| End of mutually exclusive fields. | |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"deletedSites": [
string
],
"createdSites": [
{
object ( |
| Fields | |
|---|---|
deletedSites[] |
The sites to delete in batch, specified as a list of site |
createdSites[] |
The sites to create in batch, specified as a list of |
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the parent channel. |
advertiserId |
The ID of the advertiser that owns the parent channel. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of BulkEditSitesResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.